# go-torrent-helper

This is a helper program to add and remove torrents from a transmission-daemon instance.

To use, make sure `TRANSMISSION_RPC_URL` is exported in the shell:

``` bash
export TRANSMISSION_RPC_URL=10.0.0.42
```

Install with Go:

``` bash
go install git.hyperreal.coffee/go-torrent-helper@latest
```

## Usage

``` bash
# Add Fedora torrents
go-torrent-helper add -distro fedora -relver 38

# Remove NixOS torrents
go-torrent-helper remove -distro nixos

# Add Rocky Linux torrents
go-torrent-helper add -distro rocky -relver 9.2

# Remove older Rocky Linux torrents
go-torrent-helper remove -distro rocky -relver 8.1

# If not -relver flag is supplied for the remove subcommand, remove all torrents for given distro
go-torrent-helper remove -distro debian
```
